%define installdir %apache_htdocsdir/addon-modules/horde

Name: horde3
Version: 3.0.7
Release: alt1

Summary: The common Horde Framework for all Horde modules, H3 branch
License: LGPL
Group: Networking/Other
URL: http://www.horde.org/

Source: ftp://ftp.horde.org/pub/horde/horde-%version.tar.gz
Source1: horde.conf
BuildArchitectures: noarch
Requires: php >= 4.3.0
Requires: pear >= 1.3.1
Requires: php-engine php-domxml
Requires: apache-common >= 1.3.31rusPL30.20-alt10
BuildPreReq: apache-devel

Conflicts: horde

Patch0: horde-3.0.3-php-cli-remove.patch

# Speed-up build process
AutoReqProv: off
%define _verify_elf_method skip
%define _strip_method none

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n horde-%version
%patch0 -p1

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp -p %SOURCE1 %buildroot%apache_addonconfdir.d
%__mkdir_p %buildroot%installdir
%__cp --preserve -pR * %buildroot%installdir/
%__rm -rf %buildroot%installdir/docs
%__rm -f %buildroot%installdir/{README,COPYING}
%__chmod go-rwx %buildroot%installdir/test.php
cd %buildroot%installdir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		%__cp -p $d $d0
	fi
done

%post
# post-install instructions:
if egrep -q "^Include conf/addon-modules.?d?/horde.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/horde.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/horde.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/horde.conf" >> %apache_conf
fi
	    
/sbin/service httpd condrestart

cat <<_EOF_
You must manually configure Horde!
See "CONFIGURING HORDE" in INSTALL
By default, access to horde allowed only from localhost
To configure access to horde you must edit %apache_addonconfdir.d/horde.conf
_EOF_

%postun
if [ $1 -eq 0 ]; then
    if [ -f %apache_conf ] ; then
	grep -q "^Include conf/addon-modules.d/horde.conf" %apache_conf &&
	    %__subst "/Include conf\/addon-modules.d\/horde.conf/d" %apache_conf
	/sbin/service httpd condrestart
    fi
fi

%files
# Apache horde.conf file
%config(noreplace) %apache_addonconfdir.d/horde.conf
%dir %installdir
# Include top-level files by hand
%installdir/*.php
%installdir/admin
%installdir/js
%installdir/locale
%installdir/lib
%installdir/po
%installdir/scripts
%installdir/services
%installdir/templates
%installdir/themes
%installdir/util
%doc docs/* COPYING README
# Mark configuration files with %%config and use secure permissions
# (note that .dist files are considered software; don't mark %%config)
%attr(750,root,%apache_group) %dir %installdir/config
%defattr(640,root,%apache_group)
%installdir/config/.htaccess
%installdir/config/*.dist
%installdir/config/*.xml
%config(noreplace) %installdir/config/*.php

%changelog
* Thu Nov 24 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.7-alt1
- 3.0.7
  + Fix XSS vulnerabilities in gzip/tar and css MIME viewers!
- require php-engine instead of mod_php (#8418)

* Wed Oct 12 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.5-alt1
- 3.0.5
- documentation moved to %%doc

* Wed Jun 15 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.4-alt1
- 3.0.4
- Sisyphus build

* Sat Mar 26 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.3-ucvt3
- small fixes

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.3-ucvt1
- 3.0.3
- renamed to horde3
- removed ldap-at-strip.patch

* Mon Nov 01 2004 Leonid Shalupov <shalupov@altlinux.ru> 2.2.7-ucvt2
- added ldap-at-strip.patch

* Mon Nov 01 2004 Leonid Shalupov <shalupov@altlinux.ru> 2.2.7-ucvt1
- 2.2.7

* Tue Sep 21 2004 Vladimir Lettiev <crux@altlinux.ru> 2.2.6-alt0.1.RC2
- 2.2.6-RC2
- horde.conf moved to %apache_addonconfdir.d
  (thats requires latest version of apache-common)

* Mon Apr 05 2004 Vladimir Lettiev <crux@altlinux.ru> 2.2.5-alt1
- initial release for Sisyphus

